function [a,b,c,d,e,f]=delete_entry(result_table,test_result,ls_index,plot_handles,legend_string,p_index)
try
            index=size(result_table);
            result_table([index(1)],:)=[];
            test_result(index(1),:)=[];
            disp(result_table);
            
            p_index=p_index-1;
            delete(plot_handles(p_index));
           
            if(ls_index>2)
            ls_index=ls_index-1;
            legend_string(ls_index)=[];
            end
            if(ishandle(1) ~= 0)
            figure(1)
            subplot(1,2,1);
            legend(legend_string{:});
            hold on;
            end
            a=result_table;
            b=test_result;
            c=ls_index;
            d=plot_handles;
            e=legend_string;
            f=p_index;
catch
    error('The result table might be already empty');
end
end